#
# spec file for package perl-ExtUtils-MakeMaker-CPANfile
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name ExtUtils-MakeMaker-CPANfile
Name:           perl-ExtUtils-MakeMaker-CPANfile
Version:        0.90.0
Release:        1.1
# 0.09 -> normalize -> 0.90.0
%define cpan_version 0.09
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Cpanfile support for EUMM
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/I/IS/ISHIGAKI/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::Converter) >= 2.141170
BuildRequires:  perl(Module::CPANfile)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(version) >= 0.76
Requires:       perl(CPAN::Meta::Converter) >= 2.141170
Requires:       perl(Module::CPANfile)
Requires:       perl(Test::More) >= 0.88
Requires:       perl(version) >= 0.76
Provides:       perl(ExtUtils::MakeMaker::CPANfile) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
ExtUtils::MakeMaker::CPANfile loads 'cpanfile' in your distribution and
modifies parameters for 'WriteMakefile' in your Makefile.PL. Just use it
instead of ExtUtils::MakeMaker (which should be loaded internally), and
prepare 'cpanfile'.

As of version 0.03, ExtUtils::MakeMaker::CPANfile also removes
WriteMakefile parameters that the installed version of ExtUtils::MakeMaker
doesn't know, to avoid warnings.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
* Thu Jun 12 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Sat Dec 29 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.09
  see /usr/share/doc/packages/perl-ExtUtils-MakeMaker-CPANfile/Changes
  0.09  2018/12/28
  - fixed tests not to fail when $^X contains spaces
    (RT-125074)
* Wed Jun 21 2017 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-ExtUtils-MakeMaker-CPANfile/Changes
  0.08  2017/06/18
  - fixed to convert META_ADD/MERGE properly when 2.0 elements
    are found (RT-122124)
* Thu Dec 10 2015 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-ExtUtils-MakeMaker-CPANfile/Changes
  0.07  2015/12/09
  - supported recommends, suggests, conflicts
* Mon Sep  1 2014 coolo@suse.com
- initial package 0.06
  * created by cpanspec 1.78.08
